Bug 416271 - Software Updater unhandled exception
Software Updater unhandled exception
Status: CLOSED DUPLICATE of bug 378911
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-rhn-plugin (Show other bugs)
5.1
i686 Linux
low Severity medium
: ---
: ---
Assigned To: John Matthews
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 18:56 EST by Tom Kelliher
Modified: 2008-03-05 15:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 15:47:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash Dump for Software Updater unhandled exception (1.97 KB, text/plain)
2007-12-07 19:02 EST, Tom Kelliher
no flags Details

  None (edit)
Description Tom Kelliher 2007-12-07 18:56:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

Description of problem:
Local variable 'result' referenced before assignment.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Run pup.
2.
3.

Actual Results:
Several packages downloaded sucessfully, but a package download eventually triggers the exception.  Refer to crash dump.

As a result, I cannot apply Security Advisory RHSA-2007:1048 to two systems.


Expected Results:
Packages should have continued being downloaded, followed by installation.

Additional info:
Comment 1 Tom Kelliher 2007-12-07 19:02:44 EST
Created attachment 281781 [details]
Crash Dump for Software Updater unhandled exception
Comment 2 James Antill 2008-02-08 09:07:45 EST
 This is fixed in newer versions of yum-rhn-plugin, not sure which version is
the first with the fix though.
Comment 3 John Matthews 2008-03-05 15:47:41 EST

*** This bug has been marked as a duplicate of 378911 ***

Note You need to log in before you can comment on or make changes to this bug.